<script lang = javascript>
<!--
/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/
//-->

<!--
////////////////////////////////////////
//	function appendXmo(ObjSelectList,ObjAddList)
//
//	@Param	ObjSelectList		//追加元リスト
//					ObjAddList			//追加先リスト
//
//	@機能		追加元リストで選択されたオブジェクトを
//					追加先リストに追加します。
//
////////////////////////////////////////
function appendXmo(ObjSelectList,ObjAddList){

	if( ObjSelectList.selectedIndex < 0 ) {
		alert("権限を選択してください");
		return;
	}
	var i=0;
	var j=0;
	var tempValue1 = "";
	var tempValue2 = "";
	var tempText1 = "";
	var tempText2 = "";
	var insertIndex = -1;
	var selectedOptionValue = ObjSelectList.selectedIndex; //選択されているリスト項番
	var selectedListValue = ObjSelectList.options[selectedOptionValue].value; //選択されているリスト値
	var selectedListText = ObjSelectList.options[selectedOptionValue].text; //選択されているリストのテキスト

	// 重複がないかチェック
	if( ObjAddList.length != 0 ) {
		for( i=0 ; i<ObjAddList.length ; i++ ) {
			// IDが同じ場合は、追加できない
			if( ObjAddList.options[i].value == selectedListValue ) {
				alert("既に同じ権限が追加されています。");
				return;
			}
			// IDが大きい場合は、挿入位置を設定
			else if(eval(ObjAddList.options[i].value) > eval(selectedListValue))
			{
				insertIndex = i;
				break;
			}
		}
	}
	// 追加先リストに有効な項目がないとき(第一項目が空白の場合)
	if( ObjAddList.length > 0 ) {
		if( ObjAddList.options[0].value == "" ) {
			ObjAddList.length = 0;
		}
	}
	// リスト最下位にコピーする
	ObjAddList.length = ObjAddList.length + 1;
	if(insertIndex == -1)
	{
		// １件追加
		ObjAddList.options[ObjAddList.length-1].value = selectedListValue;
		ObjAddList.options[ObjAddList.length-1].text = selectedListText;
	}
	else
	{
		// 挿入処理
		for( j = 0; j < ObjAddList.length; j++)
		{
			if(insertIndex == j)
			{
				tempValue1 = ObjAddList.options[j].value;
				tempText1 = ObjAddList.options[j].text;
				ObjAddList.options[j].value = selectedListValue;
				ObjAddList.options[j].text = selectedListText;
			}
			else if(insertIndex < j)
			{
				tempValue2 = ObjAddList.options[j].value;
				tempText2 = ObjAddList.options[j].text;
				ObjAddList.options[j].value = tempValue1;
				ObjAddList.options[j].text = tempText1;
				tempValue1 = tempValue2;
				tempText1 = tempText2;
			}
		}
	}
}
////////////////////////////////////////
//	function appendXmo(ObjSelectList,ObjAddList)
//
//	@Param	ObjAddList			//追加先リスト
//
//	@機能		追加先リストで選択されたオブジェクト
//				をリストから削除します。
//
////////////////////////////////////////

function delXmo(ObjAddList){

	if( ObjAddList.selectedIndex < 0 ) {
		alert("権限を選択してください");
		return;
	}

	ObjAddList.options[ObjAddList.selectedIndex]=null;

}

-->
</script>